org.jgroups.demos

## Class ExecutionServiceDemo

- java.lang.Object
- - org.jgroups.demos.ExecutionServiceDemo

-     public class ExecutionServiceDemo
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExecutionServiceDemo.SortingByteCallable`
    `static class` | `ExecutionServiceDemo.SortingTwoByteCallable` Sorts 2 byte arrys into a larger byte array

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JChannel` | `ch`
    `protected ExecutionService` | `execution_service`
    `protected java.util.concurrent.ExecutorService` | `executor`
    `protected java.lang.String` | `name`
    `protected boolean` | `printValues`
    `protected java.lang.String` | `props`
    `protected java.util.Queue<java.util.concurrent.Future<?>>` | `queue`
    `protected java.util.Random` | `random`
    `protected ExecutionRunner` | `runner`
    `protected int` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionServiceDemo(java.lang.String props, java.lang.String name, int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `help()`
    `protected void` | `loop()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `start()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### props

          protected java.lang.String props

    - #### ch

          protected JChannel ch

    - #### execution_service

          protected ExecutionService execution_service

    - #### name

          protected java.lang.String name

    - #### runner

          protected ExecutionRunner runner

    - #### size

          protected int size

    - #### printValues

          protected boolean printValues

    - #### random

          protected java.util.Random random

    - #### executor

          protected java.util.concurrent.ExecutorService executor

    - #### queue

          protected java.util.Queue<java.util.concurrent.Future<?>> queue

  - ### Constructor Detail

    - #### ExecutionServiceDemo

          public ExecutionServiceDemo(java.lang.String props,
                              java.lang.String name,
                              int size)

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### start

          public void start()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### loop

          protected void loop()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### help

          protected static void help()

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.